## yorick-optimpack 1.3.1%2bdfsg1

=== debian/changelog ===
yorick-optimpack (1.3.1+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #561487)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 22 Mar 2010 10:39:00 +0100
