=== debian/control ===
Source: yorick-optimpack
Section: math
Priority: extra
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
Standards-Version: 3.8.4
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/optimpack.html

Package: yorick-optimpack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yorick (>= 1.6.02)
Description: optimization of large scale problems for the Yorick language
 OptimPack is a portable C library which implements algorithms for
 optimization of large scale problems with bound constraints. Large
 scale means some million variables (e.g. pixel values) or more.
 .
 The most important algorithm is VMLM-B: a variable metric method with
 limited memory requirements and, possibly, bound constraints on the
 parameters. The algorithm is based on limited memory BFGS updates
 with Moré & Thuente inexact line search and gradient projection to
 account for bounds.
 .
 This package contains a Yorick plug-in based on OptimPack.
