## yorick-optimpack 1.3.2%2Bdfsg%2B1.4.0

=== debian/changelog ===
yorick-optimpack (1.3.2+dfsg+1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * Fix typo in debian/rules rules: overrides_dh_installdocs ⇒ 
    override_dh_installdocs

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2025 10:06:47 +0100

yorick-optimpack (1.3.2+dfsg+1.4.0-1) unstable; urgency=low

  * New upstream release
  * Provide both the old OptimPack1 and the new optimpacklegacy interface.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 16 Jan 2017 16:46:00 +0100

yorick-optimpack (1.4.0~pre1+dfsg-1~exp0) experimental; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Sun, 08 Jan 2017 07:27:39 +0100

yorick-optimpack (1.3.2+dfsg-1) unstable; urgency=low

  * New upstream
  * Actually hand over maintenance to the science team
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 14:07:26 +0200

yorick-optimpack (1.3.1+dfsg1-2) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Updated copyright
  * Patch Makefile instead of running yorick -batch make.i
  * Bump standards to 3.9.3
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 15:24:43 +0200
