## yorick-optimpack 1.3.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: yorick-optimpack
-Section: math
+Section: science
 Priority: extra
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-optimpack.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-optimpack.git
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/optimpack.html
 
 Package: yorick-optimpack
