=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

FC = gfortran
export FC

override_dh_auto_build:
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)"
	cd yorick; \
	  $(MAKE) COPT_DEFAULT="" \
	          Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	          Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	cd yorick; yorick -batch ../debian/check.i
endif

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_clean:
	dh_clean --exclude=yorick/OptimPack1-test.out.orig

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean 
	rm -f yorick/OptimPack1-test.out

overrides_dh_installdocs:
	dh_installdocs --exclude=README

%:
	dh  $@
