=== debian/control ===
Source: yorick-optimpack
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13), yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-optimpack
Vcs-Git: https://salsa.debian.org/science-team/yorick-optimpack.git
Homepage: https://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/OptimPack

Package: yorick-optimpack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yorick
Provides: yorick-optimpacklegacy
Description: optimization of large scale problems for the Yorick language
 OptimPack is a portable C library which implements algorithms for
 optimization of large scale problems with bound constraints. Large
 scale means some million variables (e.g. pixel values) or more.
 .
 The most important algorithm is VMLM-B: a variable metric method with
 limited memory requirements and, possibly, bound constraints on the
 parameters. The algorithm is based on limited memory BFGS updates
 with Moré & Thuente inexact line search and gradient projection to
 account for bounds.
 .
 This package contains two Yorick plug-ins: one based on the newer
 OptimPackLegacy version and, for backward compatibility, one based on the
 previous OptimPack1 implementation.
