=== debian/watch ===
version=4
opts="dversionmangle=s/1.3.\d\+dfsg\+//, uversionmangle=s/-pre/~pre/, filenamemangle=s/.+\/release-?(\d\S+)\.tar\.gz/yorick-optimpack-$1\.tar\.gz/" \
  https://github.com/emmt/OptimpackLegacy/tags .*/release-(\d\S+)\.tar\.gz
