=== src/Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	  $(INSTALL) optimpacklegacy.h "$(PREFIX)/include/."; \
 	  test -d "$(PREFIX)/doc/OptimPack-$${version}" || \
 	    mkdir -p "$(PREFIX)/doc/OptimPack-$${version}"; \
-	  $(INSTALL) $(srcdir)/../README.md $(srcdir)/../AUTHORS \
+	  $(INSTALL) $(srcdir)/../README $(srcdir)/../AUTHORS \
 	    $(srcdir)/../LICENSE $(srcdir)/optimpacklegacy.h \
 	    "$(PREFIX)/doc/OptimPack-$${version}/."; \
 	fi
