=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: yorick-optimpack
+Section: science
+Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Section: science
-Priority: optional
-Build-Depends: debhelper-compat (= 13), yorick-dev
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/science-team/yorick-optimpack
-Vcs-Git: https://salsa.debian.org/science-team/yorick-optimpack.git
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
+Standards-Version: 3.9.8
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-optimpack.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-optimpack.git
 Homepage: https://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/OptimPack
 
 Package: yorick-optimpack
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         yorick
-Provides: yorick-optimpacklegacy
+Depends: ${shlibs:Depends}, ${misc:Depends}, yorick (>= 1.6.02)
 Description: optimization of large scale problems for the Yorick language
  OptimPack is a portable C library which implements algorithms for
  optimization of large scale problems with bound constraints. Large
