=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d$// \
 http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/optimpack.html \
 files/OptimPack-(.*).tar.bz2
